package com.sv.mapper;
import com.sv.dto.api.MemberMoneyLogDTO;
import com.sv.entity.MemberMoneyLog;
import org.apache.ibatis.annotations.Param;


import java.util.List;

/**
 * Mapper - 用户金额记录
 *
 * @author yechanglin
 * @since 2018-08-08
 */
public interface MemberMoneyLogMapper {

    /**
     * 新建用户金额记录
     *
     * @param memberMoneyLog 用户金额记录
     */
    void insert(MemberMoneyLog memberMoneyLog);

    /**
     * 更新用户金额记录
     *
     * @param memberMoneyLog 用户金额记录
     */
    void update(MemberMoneyLog memberMoneyLog);

    /**
     * 删除用户金额记录
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除用户金额记录
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * 查询用户金额记录
     *
     * @param id 编号
     * @return 用户金额记录
     */
    MemberMoneyLog findById(Integer id);

    /**
     * 查询用户金额记录
     *
     * @return 用户金额记录集合
     */
    List<MemberMoneyLog> findAll();


    /**
     * 查询用户金额记录-oms
     *
     * @return 用户金额记录集合
     */
    List<MemberMoneyLog> findAlls(@Param("memberId") Integer memberId);

    /**
     * api 查询用户账单
     */
    List<MemberMoneyLogDTO> findAllBill(Integer memberId);
}